PATCH
Update link

Authorizations

x-api-key
string
header
required

Your secret key. It starts with sk_test_ or sk_live_.

Path Parameters

id
number
required

Body

application/json
title
string

Shown to the payer on the checkout page.

description
string
amount
integer

Fixed amount in minor units. Leave it out to let the payer enter an amount.

Required range: x >= 1
currency
string
Example:

"NGN"

expiresAt
string<date-time>
metadata
object
overpaymentTolerance
integer

How far above amount a payment may be and still be accepted, in minor units.

Required range: x >= 0
underpaymentTolerance
integer

How far below amount a payment may be and still be accepted, in minor units.

Required range: x >= 0
status
enum<string>
Available options:
active,
paid,
inactive,
expired

Response

200

Updated payment link